require 'rik/api'

module Rik
  class Client < API
   
    require 'rik/client/session'
    require 'rik/client/stream'
    require 'rik/client/user'
    require 'rik/client/video'
    
    include Rik::Client::Session
    include Rik::Client::Stream
    include Rik::Client::User
    include Rik::Client::Video
    
    def initialize
      super
      @authorized = false
      @subscriptions = {}
      @resub_handlers = {}
    end
    
    def configure
      super
      recreate
    end
  end
end
